
From: NeilBrown <neilb@cse.unsw.edu.au>

Somewhat gratuitous rename to simplify following patch.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfsd/nfs4state.c       |    6 +++---
 fs/nfsd/nfssvc.c          |    2 +-
 include/linux/nfsd/nfsd.h |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN fs/nfsd/nfs4state.c~nfsd4-rename-nfs4_state_init fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-rename-nfs4_state_init	Thu Jun  2 16:25:01 2005
+++ 25-akpm/fs/nfsd/nfs4state.c	Thu Jun  2 16:25:01 2005
@@ -3185,7 +3185,7 @@ nfs4_check_open_reclaim(clientid_t *clid
  */
 
 static void
-__nfs4_state_init(void)
+__nfs4_state_start(void)
 {
 	int i;
 	time_t grace_time;
@@ -3235,7 +3235,7 @@ __nfs4_state_init(void)
 }
 
 int
-nfs4_state_init(void)
+nfs4_state_start(void)
 {
 	int status;
 
@@ -3244,7 +3244,7 @@ nfs4_state_init(void)
 	status = nfsd4_init_slabs();
 	if (status)
 		return status;
-	__nfs4_state_init();
+	__nfs4_state_start();
 	nfs4_init = 1;
 	return 0;
 }
diff -puN fs/nfsd/nfssvc.c~nfsd4-rename-nfs4_state_init fs/nfsd/nfssvc.c
--- 25/fs/nfsd/nfssvc.c~nfsd4-rename-nfs4_state_init	Thu Jun  2 16:25:01 2005
+++ 25-akpm/fs/nfsd/nfssvc.c	Thu Jun  2 16:25:01 2005
@@ -95,7 +95,7 @@ nfsd_svc(unsigned short port, int nrserv
 	error =	nfsd_racache_init(2*nrservs);
 	if (error<0)
 		goto out;
-	error = nfs4_state_init();
+	error = nfs4_state_start();
 	if (error<0)
 		goto out;
 	if (!nfsd_serv) {
diff -puN include/linux/nfsd/nfsd.h~nfsd4-rename-nfs4_state_init include/linux/nfsd/nfsd.h
--- 25/include/linux/nfsd/nfsd.h~nfsd4-rename-nfs4_state_init	Thu Jun  2 16:25:01 2005
+++ 25-akpm/include/linux/nfsd/nfsd.h	Thu Jun  2 16:25:01 2005
@@ -145,12 +145,12 @@ int nfsd_set_posix_acl(struct svc_fh *, 
  * NFSv4 State
  */
 #ifdef CONFIG_NFSD_V4
-int nfs4_state_init(void);
+int nfs4_state_start(void);
 void nfs4_state_shutdown(void);
 time_t nfs4_lease_time(void);
 void nfs4_reset_lease(time_t leasetime);
 #else
-static inline int nfs4_state_init(void){return 0;}
+static inline int nfs4_state_start(void){return 0;}
 static inline void nfs4_state_shutdown(void){}
 static inline time_t nfs4_lease_time(void){return 0;}
 static inline void nfs4_reset_lease(time_t leasetime){}
_
